﻿// <author></author>
// <date></date>
// <description></description>

using ERP.Core.Entity;
using ERP.Core.Interface;
using ERP.Core.Repository;
using ERP.Framework.Security;

namespace ERP.Core.Service
{
    public class SysMenuService : ISysMenuService
    {
        private readonly SysMenuRepository _sysMenuRepository;

        /// <summary>
        ///
        /// </summary>
        /// <param name="sysMenuRepository"></param>
        public SysMenuService(SysMenuRepository sysMenuRepository)
        {
            _sysMenuRepository = sysMenuRepository;
        }

        /// <summary>
        /// 获取
        /// </summary>
        /// <returns></returns>
        public List<SysMenu> SelectMenuListByUserId(long userId)
        {
            List<SysMenu> result;

            if (LoginHelper.IsAdmin())
            {
                result = _sysMenuRepository.List();
            }
            else
            {
                result = _sysMenuRepository.SelectMenuListByUserId(userId);
            }

            return result;
        }

        //public List<Router> BuildMenuTree(List<SysMenu> list , string parentPath)
        //{
        //    var routers = new List<Router>();

        //    foreach(var menu in list)
        //    {
        //        var router = new Router()
        //        {
        //            Hidden = menu.Visible,
        //            Name = menu.Path,
        //            //Path =
        //        };

        //    }

        //}

        //private string GetRoutePath(SysMenu menu, string parentPath)
        //{
        //}
    }
}