﻿// <author></author>
// <date></date>
// <description></description>

using ERP.Core.Interface;
using ERP.Framework.Security;
using ERP.Framework.WebApi;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Configuration;

namespace ERP.Core.Controller
{
    [Route("sys_menu")]
    public class SysMenuController : BaseController
    {
        private readonly IConfiguration _configuration;
        private readonly ISysMenuService _sysMenuService;

        public SysMenuController(IConfiguration configuration, ISysMenuService sysMenuService)
        {
            _configuration = configuration;
            _sysMenuService = sysMenuService;
        }

        [HttpGet("get-router")]
        public IActionResult GetRouter()
        {
            var userId = LoginHelper.GetUserId();

            var menuLsit = _sysMenuService.SelectMenuListByUserId(userId);

            return Success();
        }
    }
}