﻿// <author></author>
// <date></date>
// <description></description>

namespace ERP.Core.Dto
{
    public class Router
    {
        /// <summary>
        /// 路由名称
        /// </summary>
        public virtual string Name { get; set; } = string.Empty;

        /// <summary>
        /// 路由
        /// </summary>
        public virtual string Path { get; set; } = string.Empty;

        /// <summary>
        /// 是否隐藏
        /// </summary>
        public virtual bool Hidden { get; set; }

        /// <summary>
        /// 组件路径
        /// </summary>
        public virtual string Component { get; set; } = string.Empty;

        /// <summary>
        ///
        /// </summary>
        public virtual Meta Meta { get; set; } = new Meta();

        /// <summary>
        /// 孩子
        /// </summary>
        public virtual List<Router>? Chindren { get; set; }
    }
}